//-----------------------------------------------------------------------------
// Copyright (c) 2012 GarageGames, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//-----------------------------------------------------------------------------

new TerrainMaterial()
{
   internalName = "grass1";
   diffuseMap = "levels/race_islandtest/art/terrains/race56";
   detailMap = "levels/race_islandtest/art/terrains/Race_grassdetailjpg";
   detailSize = "3";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "768";
   macroSize = "100";
   macroMap = "levels/race_islandtest/art/terrains/Race_Grassmacro";
   macroDistance = "300";
   detailStrength = "0.5";
   macroStrength = "0.3";
   detailDistance = "20";
};

new TerrainMaterial()
{
   diffuseMap = "levels/race_islandtest/art/terrains/race56";
   detailMap = "levels/race_islandtest/art/terrains/Race_sanddetailjpg";
   internalName = "sand";
   detailStrength = "1";
   diffuseSize = "200";
   detailDistance = "150";
   parallaxScale = "0";
   detailSize = "2";
   useSideProjection = "0";
   macroSize = "100";
   macroStrength = "0.2";
   macroDistance = "500";
   isManaged = "1";
   enabled = "1";
   detailBrightness = "1";
   macroMap = "levels/race_islandtest/art/terrains/Race_Sandmacro";
};

new TerrainMaterial()
{
   diffuseMap = "levels/race_islandtest/art/terrains/race56";
   detailMap = "levels/race_islandtest/art/terrains/Race_grassdetailjpg";
   internalName = "Grass";
   diffuseSize = "768";
   detailDistance = "50";
   macroSize = "60";
   macroStrength = "0.2";
   macroDistance = "600";
   macroMap = "levels/race_islandtest/art/terrains/Race_Grassmacro";
   detailSize = "3";
   detailStrength = "0.8";
};

new TerrainMaterial()
{
   diffuseMap = "levels/race_islandtest/art/terrains/race56";
   diffuseSize = "768";
   detailMap = "levels/race_islandtest/art/terrains/Race_grassdetailjpg";
   detailSize = "3";
   detailDistance = "80";
   macroMap = "levels/race_islandtest/art/terrains/Race_Grassmacro";
   macroSize = "60";
   macroStrength = "0.3";
   macroDistance = "600";
   internalName = "Asphalt";
   detailBrightness = "1";
   enabled = "1";
   isManaged = "1";
   detailStrength = "0.7";
};

new TerrainMaterial()
{
   diffuseMap = "levels/race_islandtest/art/terrains/race56";
   diffuseSize = "768";
   detailMap = "levels/race_islandtest/art/terrains/Race_grassdetailjpg";
   detailSize = "3";
   detailStrength = "0.7";
   detailDistance = "80";
   macroMap = "levels/race_islandtest/art/terrains/Race_Grassmacro";
   macroSize = "60";
   macroStrength = "0.3";
   macroDistance = "600";
   internalName = "Asphalt";
   enabled = "1";
   detailBrightness = "1";
   isManaged = "1";
};
