
singleton Material(tireTrack)
{
   mapTo = "unmapped_mat";
   diffuseMap[0] = "art/decals/tiremark.png";
   vertColor[ 0 ] = true;
   materialTag2 = "beamng";
   materialTag0 = "decal";
   diffuseColor[0] = "1 1 1 0.199";
   emissive[0] = "1";
   translucent = "1";
   alphaRef = "1";
   castShadows = "0";
   translucentZWrite = "1";
   showFootprints = "0";
   specularPower[0] = "1";
};

singleton Material(eca_bld_woodcladding_01_bare_mat)
{
   mapTo = "eca_bld_woodcladding_01_bare";
   diffuseMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_woodcladding_01_bare_d.dds";
   materialTag0 = "beamng";
   materialTag1 = "building";
   materialTag2 = "east_coast_usa";
   normalMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_woodcladding_01_n.dds";
   specularMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_woodcladding_01_s.dds";
   detailMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_grungewood_b.dds";
   detailScale[0] = "0.1 0.1";
};

singleton Material(eca_bld_brick_brown_mat)
{
   mapTo = "eca_bld_brick_brown";
   diffuseMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_brick_01_brown_d.dds";
   detailMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_grungewood_b.dds";
   detailScale[0] = "0.1 0.1";
   normalMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_brick_01_n.dds";
   specularMap[0] = "levels/east_coast_usa/art/shapes/buildings/eca/eca_bld_brick_01_s.dds";
   materialTag0 = "beamng";
   materialTag1 = "building";
   materialTag2 = "east_coast_usa";
};

new CubemapData(ouernight)
{
   cubeFace[0] = "levels/blackhills/ART/skies/ouernight/ouernight.png";
   cubeFace[1] = "levels/blackhills/ART/skies/ouernight/ouernight.png";
   cubeFace[2] = "levels/blackhills/ART/skies/ouernight/ouernight.png";
   cubeFace[3] = "levels/blackhills/ART/skies/ouernight/ouernight.png";
   cubeFace[4] = "levels/blackhills/ART/skies/ouernight/ouernight.png";
   cubeFace[5] = "tools/materialeditor/gui/cube_YPos";
};

singleton Material(nightouer)
{
   mapTo = "unmapped_mat";
   cubemap = "ouernight";
   materialTag0 = "RoadAndPath";
};



new CubemapData(naturalreflect)
{
   cubeFace[0] = "tools/materialeditor/gui/cube_xNeg";
   cubeFace[1] = "tools/materialeditor/gui/cube_xPos";
   cubeFace[2] = "tools/materialeditor/gui/cube_ZNeg";
   cubeFace[3] = "tools/materialeditor/gui/cube_ZPos";
   cubeFace[4] = "tools/materialeditor/gui/cube_YNeg";
   cubeFace[5] = "tools/materialeditor/gui/cube_YPos";
};

singleton Material(newMaterial2)
{
   mapTo = "unmapped_mat";
   diffuseMap[0] = "levels/race_islandtest/art/shapes/treeline/treelinerace_island3.png";
   useAnisotropic[0] = "1";
   materialTag0 = "vegetation";
   alphaTest = "1";
   alphaRef = "161";
};

singleton Material(race_grass)
{
   mapTo = "unmapped_mat";
   diffuseMap[0] = "levels/race_islandtest/art/shapes/groundcover/racegrass_field.dds";
   materialTag0 = "vegetation";
   useAnisotropic[0] = "1";
   alphaTest = "1";
   alphaRef = "93";
};

singleton Material(newMaterial)
{
   mapTo = "unmapped_mat";
   diffuseMap[0] = "levels/race_islandtest/art/road/raceAsphaltRoad_d.png";
   normalMap[0] = "levels/race_islandtest/art/road/AsphaltRoad_n.dds";
   specularMap[0] = "levels/race_islandtest/art/road/AsphaltRoad_s.dds";
   materialTag0 = "RoadAndPath";
   specularStrength[0] = "0.392157";
   useAnisotropic[0] = "1";
   detailScale[0] = "1 1";
   specular[0] = "0.898039 0.901961 0.901961 1";
   specularPower[0] = "9";
   pixelSpecular[0] = "0";
   alphaTest = "1";
   alphaRef = "55";
   castShadows = "0";
};

singleton Material(DefaultRoadMaterialTop_mat_mat)
{
   mapTo = "DefaultRoadMaterialTop_mat";
   diffuseMap[0] = "levels/race_islandtest/art/shapes/treeline/transparent.png";
   useAnisotropic[0] = "1";
   alphaTest = "1";
   alphaRef = "255";
};

singleton Material(DefaultRoadMaterialTop_mat_mat2)
{
   mapTo = "DefaultRoadMaterialTop_mat";
   diffuseMap[0] = "levels/race_islandtest/art/shapes/treeline/transparent.png";
   specularStrength[0] = "0.75";
   alphaTest = "1";
   alphaRef = "255";
};

singleton Material(DefaultRoadMaterialTop_mat)
{
   mapTo = "DefaultRoadMaterialTop";
   diffuseMap[0] = "levels/race_islandtest/art/shapes/treeline/transparent.png";
   alphaTest = "1";
   alphaRef = "241";
};

singleton Material(newMaterial3)
{
   mapTo = "unmapped_mat";
   diffuseColor[3] = "White";
   diffuseMap[0] = "levels/race_islandtest/art/shapes/treeline/transparent.png";
   useAnisotropic[0] = "1";
   alphaTest = "1";
   alphaRef = "167";
   materialTag0 = "vegetation";
};
